Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Class OvalNode

    java.lang.Object
      uchicago.src.sim.gui.DrawableItem
          uchicago.src.sim.gui.OvalItem
              uchicago.src.sim.gui.OvalNode

All Implemented Interfaces:
  DrawableNonGridNode, Moveable, NonGridDrawable, Node

Deprecated. As of repast 2.0, OvalNodes and RectNodes will no longer work. To visualize nodes, use DefaultDrawableNode as the base class and set the appropriate NetworkDrawable. See the Network how to (repast/docs/how_to/network.html) for more information.

    public class OvalNode

extends OvalItem
implements DrawableNonGridNode, Node, Moveable

An oval shaped node. This can be used as a nodes or nodes in Network2DDisplays. An OvalNode is intended to be used a drawable wrapper over a Node object. OvalNode by default wraps a DefaultNode, but can wrap any object implementing the Node interface. Use setNode() to set the Node to be wrapped.

Version:
  $Revision: 1.9 $ $Date: 2004/11/03 19:50:59 $
Author:
  Nick Collier
See Also:
  `OvalItem`, `DrawableItem`

Field Summary
`protected Node` | `node` Deprecated.
`protected double` | `x` Deprecated.
`protected double` | `y` Deprecated.

Fields inherited from class uchicago.src.sim.gui.OvalItem
`recalcBorder`

Fields inherited from class uchicago.src.sim.gui.DrawableItem
`allowResizing, borderColor, borderWidth, color, font, height, hollow, label, labelColor, recalc, stroke, width`

Constructor Summary
`OvalNode(double x, double y)` Deprecated. Constructs an OvalNode with the specified x and y coordinates.

Method Summary
`void` | `addInEdge(Edge edge)` Deprecated. Adds an in Edge to this OvalNode
`void` | `addOutEdge(Edge edge)` Deprecated. Adds an out Edge to this OvalNode
`void` | `clearInEdges()` Deprecated. Clears (removes) all the in edges.
`void` | `clearOutEdges()` Deprecated. Clears (removes) all the out edges.
`java.lang.Object` | `getId()` Deprecated. Gets the node id.
`java.util.ArrayList` | `getInEdges()` Deprecated. Gets the ArrayList of edges into this OvalNode.
`java.lang.String` | `getNodeLabel()` Deprecated. Gets the node's label
`java.util.ArrayList` | `getOutEdges()` Deprecated. Gets the ArrayList of Edge out of this OvalNode.
`double` | `getX()` Deprecated. Gets the x coordinate.
`double` | `getY()` Deprecated. Gets the y coordinate.
`boolean` | `hasEdgeFrom(Node node)` Deprecated. Returns true if this DefaultNode has an Edge from the specified Node, otherwise false.
`boolean` | `hasEdgeTo(Node node)` Deprecated. Returns true if this DefaultNode has an Edge to the specified Node, otherwise false.
`void` | `removeInEdge(Edge edge)` Deprecated. Removes the specified edge from the list of "in" edges.
`void` | `removeOutEdge(Edge edge)` Deprecated. Removes the specified edge from the list of "out" edges.
`void` | `setLabel(java.lang.String label)` Deprecated. Sets the label.
`void` | `setNodeLabel(java.lang.String label)` Deprecated.
`void` | `setX(double x)` Deprecated. Sets the x coordinate.
`void` | `setX(int x)` Deprecated. Implements the moveable interface, setting the x coordinate to some integer value.
`void` | `setY(double y)` Deprecated. Sets the y coordinate.
`void` | `setY(int y)` Deprecated. Implements the moveable interface, setting the y coordinate to some integer value.

Methods inherited from class uchicago.src.sim.gui.OvalItem
`calcSize, contains, draw`

Methods inherited from class uchicago.src.sim.gui.DrawableItem
`allowResizing, getBorderColor, getBorderWidth, getColor, getFont, getHeight, getLabelColor, getWidth, isHollow, setBorderColor, setBorderWidth, setColor, setFont, setHeight, setHollow, setLabelColor, setSize, setSize, setWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface uchicago.src.sim.gui.DrawableNonGridNode
`calcSize`

Methods inherited from interface uchicago.src.sim.gui.NonGridDrawable
`contains, draw, getHeight, getWidth`

Field Detail

### node

    protected Node node

  Deprecated.

### x

    protected double x

  Deprecated.

### y

    protected double y

  Deprecated.

Constructor Detail

### OvalNode

    public OvalNode(double x,
                    double y)

  Deprecated.
  Constructs an OvalNode with the specified x and y coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate

Method Detail

### getX

    public double getX()

  Deprecated.
  Gets the x coordinate.

  Specified by:
    `getX` in interface `NonGridDrawable`

### setX

    public void setX(double x)

  Deprecated.
  Sets the x coordinate.

  Specified by:
    `setX` in interface `DrawableNonGridNode`
  Parameters:
    `x` - the new x coordindate

### getY

    public double getY()

  Deprecated.
  Gets the y coordinate.

  Specified by:
    `getY` in interface `NonGridDrawable`

### setY

    public void setY(double y)

  Deprecated.
  Sets the y coordinate.

  Specified by:
    `setY` in interface `DrawableNonGridNode`
  Parameters:
    `y` - the new y coordinate

### setLabel

    public void setLabel(java.lang.String label)

  Deprecated.
  Description copied from class: `DrawableItem`
  Sets the label.

  Overrides:
    `setLabel` in class `DrawableItem`
  Parameters:
    `label` - the new label

### getNodeLabel

    public java.lang.String getNodeLabel()

  Deprecated.
  Gets the node's label

  Specified by:
    `getNodeLabel` in interface `Node`

### setNodeLabel

    public void setNodeLabel(java.lang.String label)

  Deprecated.
  Specified by:
    `setNodeLabel` in interface `Node`

### getId

    public java.lang.Object getId()

  Deprecated.
  Gets the node id.

  Specified by:
    `getId` in interface `Node`

### getInEdges

    public java.util.ArrayList getInEdges()

  Deprecated.
  Gets the ArrayList of edges into this OvalNode.

  Specified by:
    `getInEdges` in interface `Node`

### getOutEdges

    public java.util.ArrayList getOutEdges()

  Deprecated.
  Gets the ArrayList of Edge out of this OvalNode.

  Specified by:
    `getOutEdges` in interface `DrawableNonGridNode`
  Specified by:
    `getOutEdges` in interface `Node`

### addInEdge

    public void addInEdge(Edge edge)

  Deprecated.
  Adds an in Edge to this OvalNode

  Specified by:
    `addInEdge` in interface `Node`
  Parameters:
    `edge` - the "in" edge to add

### addOutEdge

    public void addOutEdge(Edge edge)

  Deprecated.
  Adds an out Edge to this OvalNode

  Specified by:
    `addOutEdge` in interface `Node`
  Parameters:
    `edge` - the "out" edge to add

### removeInEdge

    public void removeInEdge(Edge edge)

  Deprecated.
  Removes the specified edge from the list of "in" edges.

  Specified by:
    `removeInEdge` in interface `Node`
  Parameters:
    `edge` - the edge to remove

### removeOutEdge

    public void removeOutEdge(Edge edge)

  Deprecated.
  Removes the specified edge from the list of "out" edges.

  Specified by:
    `removeOutEdge` in interface `Node`
  Parameters:
    `edge` - the edge to remove

### clearInEdges

    public void clearInEdges()

  Deprecated.
  Clears (removes) all the in edges.

  Specified by:
    `clearInEdges` in interface `Node`

### clearOutEdges

    public void clearOutEdges()

  Deprecated.
  Clears (removes) all the out edges.

  Specified by:
    `clearOutEdges` in interface `Node`

### setX

    public void setX(int x)

  Deprecated.
  Implements the moveable interface, setting the x coordinate to some integer value.

  Specified by:
    `setX` in interface `Moveable`

### setY

    public void setY(int y)

  Deprecated.
  Implements the moveable interface, setting the y coordinate to some integer value.

  Specified by:
    `setY` in interface `Moveable`

### hasEdgeTo

    public boolean hasEdgeTo(Node node)

  Deprecated.
  Description copied from interface: `Node`
  Returns true if this DefaultNode has an Edge to the specified Node, otherwise false.

  Specified by:
    `hasEdgeTo` in interface `Node`

### hasEdgeFrom

    public boolean hasEdgeFrom(Node node)

  Deprecated.
  Description copied from interface: `Node`
  Returns true if this DefaultNode has an Edge from the specified Node, otherwise false.

  Specified by:
    `hasEdgeFrom` in interface `Node`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD